1 Reply Latest reply: May 23, 2013 4:08 PM by Niel
gadajac Level 1 Level 1 (0 points)

I am trying to Sync new Iphone 5. Itunes says i need to install 10.7or later. Itunes says i now have 10.6.3 and no updates are availaible. I go to itunes to download 10.7 but does not allow to download. Help


iPhone 5